



<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      
      
      
      
        <meta name="lang:clipboard.copy" content="Copy to clipboard">
      
        <meta name="lang:clipboard.copied" content="Copied to clipboard">
      
        <meta name="lang:search.language" content="en">
      
        <meta name="lang:search.pipeline.stopwords" content="True">
      
        <meta name="lang:search.pipeline.trimmer" content="True">
      
        <meta name="lang:search.result.none" content="No matching documents">
      
        <meta name="lang:search.result.one" content="1 matching document">
      
        <meta name="lang:search.result.other" content="# matching documents">
      
        <meta name="lang:search.tokenizer" content="[\s\-]+">
      
      <link rel="shortcut icon" href="../../img/favicon.ico">
      <meta name="generator" content="mkdocs-1.1, mkdocs-material-4.6.3">
    
    
      
        <title>Aplicación-appinventor - Documentación LuaBot</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/application.adb8469c.css">
      
        <link rel="stylesheet" href="../../assets/stylesheets/application-palette.a8b3c06d.css">
      
      
        
        
        <meta name="theme-color" content="">
      
    
    
      <script src="../../assets/javascripts/modernizr.eca31fed.js"></script>
    
    
      
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&display=fallback">
        <style>body,input{font-family:"Roboto","Helvetica Neue",Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono","Courier New",Courier,monospace}</style>
      
    
    <link rel="stylesheet" href="../../assets/fonts/material-icons.css">
    
    
      <link rel="stylesheet" href="../../extra.css">
    
    
      
    
    
  </head>
  
    
    
    <body dir="ltr" data-md-color-primary="white" data-md-color-accent="indigo">
  
    <svg class="md-svg">
      <defs>
        
        
      </defs>
    </svg>
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" data-md-component="overlay" for="__drawer"></label>
    
      <a href="#aplicacion-appinventor-y-luabot" tabindex="0" class="md-skip">
        Skip to content
      </a>
    
    
      <header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid">
    <div class="md-flex">
      <div class="md-flex__cell md-flex__cell--shrink">
        <a href="../.." title="Documentación LuaBot" aria-label="Documentación LuaBot" class="md-header-nav__button md-logo">
          
            <img alt="logo" src="../../img/catalejo-logo.png" width="24" height="24">
          
        </a>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        <label class="md-icon md-icon--menu md-header-nav__button" for="__drawer"></label>
      </div>
      <div class="md-flex__cell md-flex__cell--stretch">
        <div class="md-flex__ellipsis md-header-nav__title" data-md-component="title">
          
            <span class="md-header-nav__topic">
              Documentación LuaBot
            </span>
            <span class="md-header-nav__topic">
              
                Aplicación-appinventor
              
            </span>
          
        </div>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        
          <label class="md-icon md-icon--search md-header-nav__button" for="__search"></label>
          
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" aria-label="search" name="query" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="query" data-md-state="active">
      <label class="md-icon md-search__icon" for="__search"></label>
      <button type="reset" class="md-icon md-search__icon" data-md-component="reset" tabindex="-1">
        &#xE5CD;
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="result">
          <div class="md-search-result__meta">
            Type to start searching
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
        
      </div>
      
    </div>
  </nav>
</header>
    
    <div class="md-container">
      
        
      
      
      <main class="md-main" role="main">
        <div class="md-main__inner md-grid" data-md-component="container">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    <nav class="md-nav md-nav--primary" data-md-level="0">
  <label class="md-nav__title md-nav__title--site" for="__drawer">
    <a href="../.." title="Documentación LuaBot" class="md-nav__button md-logo">
      
        <img alt="logo" src="../../img/catalejo-logo.png" width="48" height="48">
      
    </a>
    Documentación LuaBot
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." title="Home" class="md-nav__link">
      Home
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" checked>
    
    <label class="md-nav__link" for="nav-2">
      Introducción
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        Introducción
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../nodemcu_v1/" title="Tarjeta" class="md-nav__link">
      Tarjeta
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../energize-card/" title="Energizar-Tarjeta" class="md-nav__link">
      Energizar-Tarjeta
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../led_http/" title="LED-HTTP" class="md-nav__link">
      LED-HTTP
    </a>
  </li>

        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-toggle md-nav__toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
      
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        Aplicación-appinventor
      </label>
    
    <a href="./" title="Aplicación-appinventor" class="md-nav__link md-nav__link--active">
      Aplicación-appinventor
    </a>
    
      
<nav class="md-nav md-nav--secondary">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#descargar-el-proyecto" class="md-nav__link">
    Descargar el proyecto
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#crear-cuenta-en-appinventor" class="md-nav__link">
    Crear cuenta en appInventor
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#importar-proyecto" class="md-nav__link">
    Importar proyecto
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#diseno-y-bloques-logicas" class="md-nav__link">
    Diseño y blóques (lógicas)
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#analizar-la-aplicacion" class="md-nav__link">
    Analizar la aplicación
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#generar-la-apk-e-instalar-en-dispositivo-android" class="md-nav__link">
    Generar la apk e instalar en dispositivo Android
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#crear-e-instalar-algortimo-en-luabot" class="md-nav__link">
    Crear e instalar algortimo en LuaBot
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#conectar-apk" class="md-nav__link">
    Conectar APK
  </a>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
    
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3">
    
    <label class="md-nav__link" for="nav-3">
      Sensores
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        Sensores
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/pot/" title="Potenciómetro" class="md-nav__link">
      Potenciómetro
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/dht11/" title="DHT11" class="md-nav__link">
      DHT11
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/dht22/" title="DHT22" class="md-nav__link">
      DHT22
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/soil_moisture/" title="H-Suelo" class="md-nav__link">
      H-Suelo
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/ds18b20/" title="DS18B20" class="md-nav__link">
      DS18B20
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-4" type="checkbox" id="nav-4">
    
    <label class="md-nav__link" for="nav-4">
      Actuadores
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-4">
        Actuadores
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/puenteh/" title="Puente-H" class="md-nav__link">
      Puente-H
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/ssd1306/" title="Display-Oled" class="md-nav__link">
      Display-Oled
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/ws2812_rgb/" title="LEDs-RGB-OW" class="md-nav__link">
      LEDs-RGB-OW
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#descargar-el-proyecto" class="md-nav__link">
    Descargar el proyecto
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#crear-cuenta-en-appinventor" class="md-nav__link">
    Crear cuenta en appInventor
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#importar-proyecto" class="md-nav__link">
    Importar proyecto
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#diseno-y-bloques-logicas" class="md-nav__link">
    Diseño y blóques (lógicas)
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#analizar-la-aplicacion" class="md-nav__link">
    Analizar la aplicación
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#generar-la-apk-e-instalar-en-dispositivo-android" class="md-nav__link">
    Generar la apk e instalar en dispositivo Android
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#crear-e-instalar-algortimo-en-luabot" class="md-nav__link">
    Crear e instalar algortimo en LuaBot
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#conectar-apk" class="md-nav__link">
    Conectar APK
  </a>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                
                <h1 id="aplicacion-appinventor-y-luabot">Aplicación AppInventor y Luabot</h1>
<p>Se presentará a continuación una idea general para crear aplicaciones
<em>Android</em> capaces de darle ordenes a Luabot a través de WiFi. </p>
<p>Para tal fin haga lo siguiente:</p>
<h2 id="descargar-el-proyecto">Descargar el proyecto</h2>
<p>Descargue el proyecto <strong>myControl.aia</strong> desde el siguiente link:</p>
<p><a href="../myControl.aia">Control Android para Luabot App-Inventor</a></p>
<h2 id="crear-cuenta-en-appinventor">Crear cuenta en appInventor</h2>
<p>Abra una cuenta en <strong>appInventor</strong> el cual encontrará en el siguiente link:</p>
<p><a href="http://ai2.appinventor.mit.edu/">app inventor 2</a></p>
<h2 id="importar-proyecto">Importar proyecto</h2>
<p>Importe el proyecto <strong>myControl.aia</strong> desde su ordenador a appinventor:</p>
<p><img alt="appInventorImport" src="../../img/appinventor/importar.png" /></p>
<h2 id="diseno-y-bloques-logicas">Diseño y blóques (lógicas)</h2>
<p>Al importar tendrá el resultado que verá a continuación. fíjese en los botones
que encontrará enmarcados en rojo. éstos botones <strong>Diseño</strong> y <strong>Bloques</strong> permitiran
pasar del diseño de la aplicación a la lógica de la aplicación, estudielos para
poder más adelante (después de hacer la prueba) las respectivas modificaciones.</p>
<p><img alt="Aplicación importada" src="../../img/appinventor/aplicacion_design.png" /></p>
<h2 id="analizar-la-aplicacion">Analizar la aplicación</h2>
<p>Estudie el diseño y la lógica de la aplicación, más adelante le permitirá hacer
sus propias aplicaciones.</p>
<p><img alt="Bloques de la aplicación" src="../../img/appinventor/app_inventor.png" /></p>
<h2 id="generar-la-apk-e-instalar-en-dispositivo-android">Generar la apk e instalar en dispositivo Android</h2>
<p>Tiene dos posibilidades para generar la apk, se muestra en la imagen una de ellas,
la intención es poder descargarla a su dispositivo <em>Android</em> para instalarla. Use 
aquella que se le facilite más.</p>
<p><img alt="Generar APK" src="../../img/appinventor/generarApk.png" /></p>
<h2 id="crear-e-instalar-algortimo-en-luabot">Crear e instalar algortimo en LuaBot</h2>
<p>Haga el siguente algoritmo e instalelo en la tarjeta NodeMCU:</p>
<p><img alt="Algoritmo Luabot" src="../../img/appinventor/nodemcu.jpg" /></p>
<h2 id="conectar-apk">Conectar APK</h2>
<p>Al abrir la aplicación desde su dispositivo <em>Android</em> configure la <strong>IP</strong> y el <strong>PORT</strong> como
se ve en la imagen. Finalmente oprima las flechas y verifique el estado del LED azul de la tarjeta NodeMCU</p>
<p><img alt="Conectar a LuaBot" src="../../img/appinventor/aplicacion.jpg" /></p>
                
                  
                
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
          <a href="../led_http/" title="LED-HTTP" class="md-flex md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-back md-footer-nav__button"></i>
            </div>
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                LED-HTTP
              </span>
            </div>
          </a>
        
        
          <a href="../../sensores/pot/" title="Potenciómetro" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                Potenciómetro
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        powered by
        <a href="https://www.mkdocs.org" target="_blank" rel="noopener">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
          Material for MkDocs</a>
      </div>
      
    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/application.8f58b9eb.js"></script>
      
      <script>app.initialize({version:"1.1",url:{base:"../.."}})</script>
      
    
  </body>
</html>